%define upstream_name    Thread-Semaphore
%define upstream_version 2.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Thread-safe semaphores
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Thread/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.100.0
BuildRequires: perl(Test::More) >= 0.500.0
BuildRequires: perl(threads::shared)
BuildArch:  noarch

%description
Semaphores provide a mechanism to regulate access to resources. Unlike
locks, semaphores aren't tied to particular scalars, and so may be used to
control access to anything you care to use them for.

Semaphores don't limit their values to zero and one, so they can be used to
control access to some resource that there may be more than one of (e.g.,
filehandles). Increment and decrement amounts aren't fixed at one either,
so threads can reserve or return multiple resources at once.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.130.0-4.mga8
+ Revision: 1506791
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.130.0-3.mga7
+ Revision: 1287000
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.130.0-2.mga7
+ Revision: 1167113
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 2.130.0-1.mga7
+ Revision: 1156105
- update to 2.13

* Sun Jun 19 2016 pterjan <pterjan> 2.120.0-9.mga6
+ Revision: 1035190
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.120.0-8.mga6
+ Revision: 949066
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 2.120.0-7.mga5
+ Revision: 788890
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.120.0-6.mga5
+ Revision: 749657
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.120.0-5.mga5
+ Revision: 686677
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.120.0-4.mga4
+ Revision: 515644
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.120.0-3.mga3
+ Revision: 374271
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 jquelin <jquelin> 2.120.0-2.mga1
+ Revision: 60218
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 2.120.0-1.mga1
+ Revision: 34360
- mageia rebuild
- imported package perl-Thread-Semaphore

